/*
 * utsname.c --
 *
 *    This file is an emulation of the POSIX uname() function
 *    under NeXTSTEP 3.x.
 *
 */


#include "utsname.h"
#include <mach-o/arch.h>
#include <stdio.h>


int uname( struct utsname *name)
{
    const NXArchInfo *arch;
    if( gethostname( name->nodename, sizeof( name->nodename))==-1) {
      return -1;
    }
    if( (arch=NXGetLocalArchInfo())==NULL) {
      return -1;
    }
    strncpy( name->machine, arch->description, sizeof( name->machine));
    strcpy( name->sysname, "NEXTSTEP");
    strcpy( name->release, "0");
    strcpy( name->version, "3");
    return 0;
}
